eBay
eBay: Search
Search from eBay. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
ebay
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/ebay/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/ebay/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/ebay/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/ebay/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/ebay/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/ebay/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/ebay/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/ebay/search")
.header("X-API-Key", "<api-key>")
.asString();{
"success": true,
"data": {
"query": "coffee maker",
"page": 1,
"per_page": 60,
"has_more": true,
"results": [
{
"product_id": "366702966104",
"title": "Mr. Coffee 4-in-1 Single-Serve Latte, Iced, and Hot Coffee",
"link": "https://www.ebay.com/itm/366702966104",
"price": {
"raw": "$60.00",
"extracted": 60,
"currency": "USD"
},
"sponsored": true,
"subtitle": "Brand New",
"thumbnail": "https://i.ebayimg.com/images/g/fhEAAeSwuP5qvcJe/s-l500.webp",
"location": "United States"
},
{
"product_id": "167322718667",
"title": "New Keurig Green Mountain K4000 Cafe System Commercial K-Cup Coffee Maker",
"link": "https://www.ebay.com/itm/167322718667",
"price": {
"raw": "$428.98",
"extracted": 428.98,
"currency": "USD"
},
"sponsored": true,
"subtitle": "Brand New",
"thumbnail": "https://i.ebayimg.com/images/g/UVIAAOSwdnFnmqXS/s-l500.webp",
"location": "United States"
},
{
"product_id": "155542047462",
"title": "Makita Rechargeable Coffee Maker 18V CM500DZ Body ONLY New No Battery",
"link": "https://www.ebay.com/itm/155542047462",
"price": {
"raw": "$74.67",
"extracted": 74.67,
"currency": "USD"
},
"sponsored": true,
"subtitle": "Brand New",
"thumbnail": "https://i.ebayimg.com/images/g/bIEAAOSw6DVkV0Xq/s-l140.webp",
"shipping": {
"raw": "+$3.00 delivery",
"extracted": 3,
"currency": "USD"
},
"location": "Japan",
"quantity_sold": 31
}
],
"total_results": 110000,
"related_searches": [
{
"query": "keurig coffee maker",
"link": "https://www.ebay.com/sch/i.html?_nkw=keurig+coffee+maker&_sop=12"
},
{
"query": "coffee maker 12 cup",
"link": "https://www.ebay.com/sch/i.html?_nkw=coffee+maker+12+cup&_sop=12"
},
{
"query": "coffee machine",
"link": "https://www.ebay.com/sch/i.html?_nkw=coffee+machine&_sop=12"
}
],
"categories": [
{
"id": 11700,
"name": "Home & Garden"
},
{
"id": 20625,
"name": "Kitchen, Dining & Bar"
},
{
"id": 20667,
"name": "Small Kitchen Appliances"
}
]
},
"meta": {
"endpoint_family": "search",
"duration_ms": 2866
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the eBay API overview for every eBay endpoint.
Authorizations
Query Parameters
Maximum string length:
255Available options:
60, 120, 240 Available options:
1, 7, 10, 12, 15, 16 Maximum string length:
20Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/ebay/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/ebay/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/ebay/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/ebay/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/ebay/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/ebay/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/ebay/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/ebay/search")
.header("X-API-Key", "<api-key>")
.asString();{
"success": true,
"data": {
"query": "coffee maker",
"page": 1,
"per_page": 60,
"has_more": true,
"results": [
{
"product_id": "366702966104",
"title": "Mr. Coffee 4-in-1 Single-Serve Latte, Iced, and Hot Coffee",
"link": "https://www.ebay.com/itm/366702966104",
"price": {
"raw": "$60.00",
"extracted": 60,
"currency": "USD"
},
"sponsored": true,
"subtitle": "Brand New",
"thumbnail": "https://i.ebayimg.com/images/g/fhEAAeSwuP5qvcJe/s-l500.webp",
"location": "United States"
},
{
"product_id": "167322718667",
"title": "New Keurig Green Mountain K4000 Cafe System Commercial K-Cup Coffee Maker",
"link": "https://www.ebay.com/itm/167322718667",
"price": {
"raw": "$428.98",
"extracted": 428.98,
"currency": "USD"
},
"sponsored": true,
"subtitle": "Brand New",
"thumbnail": "https://i.ebayimg.com/images/g/UVIAAOSwdnFnmqXS/s-l500.webp",
"location": "United States"
},
{
"product_id": "155542047462",
"title": "Makita Rechargeable Coffee Maker 18V CM500DZ Body ONLY New No Battery",
"link": "https://www.ebay.com/itm/155542047462",
"price": {
"raw": "$74.67",
"extracted": 74.67,
"currency": "USD"
},
"sponsored": true,
"subtitle": "Brand New",
"thumbnail": "https://i.ebayimg.com/images/g/bIEAAOSw6DVkV0Xq/s-l140.webp",
"shipping": {
"raw": "+$3.00 delivery",
"extracted": 3,
"currency": "USD"
},
"location": "Japan",
"quantity_sold": 31
}
],
"total_results": 110000,
"related_searches": [
{
"query": "keurig coffee maker",
"link": "https://www.ebay.com/sch/i.html?_nkw=keurig+coffee+maker&_sop=12"
},
{
"query": "coffee maker 12 cup",
"link": "https://www.ebay.com/sch/i.html?_nkw=coffee+maker+12+cup&_sop=12"
},
{
"query": "coffee machine",
"link": "https://www.ebay.com/sch/i.html?_nkw=coffee+machine&_sop=12"
}
],
"categories": [
{
"id": 11700,
"name": "Home & Garden"
},
{
"id": 20625,
"name": "Kitchen, Dining & Bar"
},
{
"id": 20667,
"name": "Small Kitchen Appliances"
}
]
},
"meta": {
"endpoint_family": "search",
"duration_ms": 2866
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}